- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- SplitPoints
- Key
- Try it!
Adds split points to specified tables and indexes of a database.
HTTP request
POST https://spanner.googleapis.com/v1/{database=projects/*/instances/*/databases/*}:addSplitPoints The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
database |
Required. The database on whose tables or indexes the split points are to be added. Values are of the form Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"splitPoints": [
{
object ( |
| Fields | |
|---|---|
splitPoints[] |
Required. The split points to add. |
initiator |
Optional. A user-supplied tag associated with the split points. For example, "initial_data_load", "special_event_1". Defaults to "CloudAddSplitPointsAPI" if not specified. The length of the tag must not exceed 50 characters, or else it is trimmed. Only valid UTF8 characters are allowed. |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/spanner.adminhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
SplitPoints
The split points of a table or an index.